﻿using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using WebApplicationTest.Models;
using WebApplicationTest.Data;
using Microsoft.EntityFrameworkCore;

namespace WebApplicationTest.Controllers
{
    public class HomeController : Controller
    {
        ////private readonly ApplicationDbContext context;
        public static List<OrderViewModel> orders = null;

        ////public HomeController(ApplicationDbContext context)
        ////{
        ////    this.context = context;
        ////}

        public IActionResult Index()
        {
            var data = GetData();
            return View(data);
        }

        ////public async Task<IActionResult> Index()
        ////{
        ////    var query = this.context
        ////        .Order
        ////        .Select(x => new OrderViewModel()
        ////        {
        ////            CustomerID= x.CustomerID,
        ////            EmployeeID = x.EmployeeID,
        ////            Enabled = true,
        ////            Freight= x.Freight,
        ////            OrderDate= x.OrderDate,
        ////            OrderID= x.OrderID,
        ////            ShipCity= x.ShipCity,
        ////            ShipCountry= x.ShipCountry
        ////        });
        ////    var model = await query.ToListAsync();
        ////    return View(model);
        ////}

        public List<OrderViewModel> GetData()
        {
            if (orders == null)
            {
                orders = new List<OrderViewModel>();
                int code = 10000;
                for (int i = 1; i < 10; i++)
                {
                    orders.Add(new OrderViewModel() { OrderID = code + 1, CustomerID = "ALFKI", EmployeeID = i + 0, Freight = 2.3 * i, OrderDate = new DateTime(1991, 05, 15), ShipCity = "Berlin", ShipCountry = "France", Enabled = true });
                    orders.Add(new OrderViewModel() { OrderID = code + 2, CustomerID = "ANATR", EmployeeID = i + 2, Freight = 3.3 * i, OrderDate = new DateTime(1990, 04, 04), ShipCity = "Madrid", ShipCountry = "Germany", Enabled = true });
                    orders.Add(new OrderViewModel() { OrderID = code + 3, CustomerID = "ANTON", EmployeeID = i + 1, Freight = 4.3 * i, OrderDate = new DateTime(1957, 11, 30), ShipCity = "Cholchester", ShipCountry = "Brazil", Enabled = false });
                    orders.Add(new OrderViewModel() { OrderID = code + 4, CustomerID = "BLONP", EmployeeID = i + 3, Freight = 5.3 * i, OrderDate = new DateTime(1930, 10, 22), ShipCity = "Marseille", ShipCountry = "Belgium", Enabled = true });
                    orders.Add(new OrderViewModel() { OrderID = code + 5, CustomerID = "BOLID", EmployeeID = i + 4, Freight = 6.3 * i, OrderDate = new DateTime(1953, 02, 18), ShipCity = "Tsawassen", ShipCountry = "Austria", Enabled = false });
                    code += 5;
                }
            }
            return orders;
        }

        public IActionResult About()
        {
            ViewData["Message"] = "Your application description page.";

            return View();
        }

        public IActionResult Contact()
        {
            ViewData["Message"] = "Your contact page.";

            return View();
        }

        public IActionResult Error()
        {
            return View(new ErrorViewModel { RequestId = Activity.Current?.Id ?? HttpContext.TraceIdentifier });
        }
    }
}
