﻿using System;
using System.ComponentModel.DataAnnotations;

namespace WebApplicationTest.Models
{
    public class Order
    {
         [Display(Name = "Order ID")]
        public long OrderID { get; set; }

        [Display(Name = "Customer")]
        public string CustomerID { get; set; }

        [Display(Name = "Emp ID")]
        public int EmployeeID { get; set; }

        [Display(Name = "Freight Cost")]
        public double Freight { get; set; }

        public DateTime OrderDate { get; set; }

        [Display(Name = "City")]
        public string ShipCity { get; set; }

        [Display(Name = "Country")]
        public string ShipCountry { get; set; }
    }
}
